/* start variables */

:root{
    --main-color: #10cab7;
    --secondry-color: #2c4755;
    --section-padding: 60px;
    --section-background: #F6F6F6;
}

/* end variables */

/* start global rules */

*{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body{
    font-family: "work sans" , "sans-serif";
}

.container{
    padding-left: 15px;
    padding-left: 15px;
    margin-left: auto;
    margin-right: auto;
}

/* small */

@media(min-width: 768px){
    .container{
        width: 750px;
    }
}

/* medium */

@media(min-width: 992px){
    .container{
        width: 970px;
    }
}

/* large */

@media(min-width: 1200px){
    .container{
        width: 1170px;
    }
}

/* end global rules */

/* start components */

.special-heading{
    color: #ebeced;
    font-size: 100px;
    text-align: center;
    font-weight: 800;
    letter-spacing: -3px;
    margin: 0px;
}

.special-heading + p{
    margin: -30px 0px 0px;
    font-size: 20px;
    text-align: center;
    color: #797979;
}

@media (maxwidth: 767px){
    .special-heading{
        font-size: 60px;
    }
    .special-heading + p{
        margin-top: -20px;
    }
}

/* end components */

/* start header */

.header{
    padding: 20px;
}

.header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header .logo{
    width: 60px;
}

.header .links{
    position: relative;
}

.header .links .icon{
    width: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.header .links .icon span{
    background-color: #333;
    margin-bottom: 5px;
    height: 2px;
}

.header .links .icon span:first-child{
    width: 100%;
}

.header .links .icon span:nth-child(2){
    width: 60%;
    transition: 0.3s;
}

.header .links .icon span:last-child{
    width: 100%;
}

.header .links:hover .icon span:nth-child(2){
    width: 100%;
}

.header .links ul{
    min-width: 200px;
    margin: 0px;
    padding: 0px;
    right: 0px;
    top: calc(100% + 15px);
    position: absolute;
    list-style: none;
    background-color: var(--section-background);
    display: none;
    z-index: 1;
}

.header .links ul::before{
    content: "";
    position: absolute;
    right: 5px;
    top: -20px;
    border-width: 10px;
    border-style: solid;
    border-color: transparent transparent #F6F6F6 transparent;
}

.header .links:hover ul{
    display: block;
}

.header .links ul li a{
    display: block;
    padding: 15px;
    text-decoration: none;
    color: #222;
    transition: 0.3s;
}

.header .links ul li a:hover{
    padding-left: 25px;
}

.header .links ul li:not(:last-child) a{
    border-bottom: 1px solid #ddd;
}

/* end header */

 /* start landing section  */

.landing{
    background-image: url(../images/pexels-photo-355747.jpeg);
    background-size: cover;
    height: calc(100vh - 64px);
    position: relative;
}

.landing .intro-text{
    position: absolute;
    left: 50%;
    top: 30%;
    transform: translate(-50% , -50%);
    width: 320px;
    max-width: 100%;
    text-align: center;
}

.landing .intro-text h1{
    margin: 0px;
    font-weight: bold;
    font-size: 50px;
    color: var(--main-color);
}

.landing .intro-text p{
    font-size: 19px;
    line-height: 1.8;
}

 /* end landing section  */

 /* start features */

.features{
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    background-color: var(--section-background);
}

.features .container{
    display: grid;
    grid-template-columns: repeat(auto-fill , minmax(300px , 1fr));
    gap: 20px;
}

.features .feat{
    padding: 20px;
    text-align: center;
}

.features .feat i{
    color: var(--main-color);
}

.features .feat h3{
    font-weight: 800;
    margin: 30px 0px;
}

.features .feat p{
    line-height: 1.6;
    color: #777;
    font-size: 17px;
}

 /* end features */

 /* start services */

.services{
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
}

.services .services-content{
    display: grid;
    grid-template-columns: repeat(auto-fill , minmax(300px , 1fr));
    gap: 30px;
    margin-top: 100px;
}

.services .services-content .srv{
    display: flex;
    margin-bottom: 40px;
}

@media (max-width: 767px){
    .services .services-content .srv{
        flex-direction: column;
        text-align: center;
    }
}

.services .services-content .srv i{
    color: var(--main-color);
    flex-basis: 60px;
}

.services .services-content .srv .text{
    flex: 1;
}

.services .services-content .srv .text h3{
    margin: 0 0 20px;
}

.services .services-content .srv .text p{
    color: #444;
    font-weight: 300;
    line-height: 1.6;
}

.services .services-content .image{
    text-align: center;
    position: relative;
}

.services .services-content .image::before{
    content: "";
    position: absolute;
    background-color: var(--secondry-color);
    width: 100px;
    height: calc(100% + 100px);
    top: -50px;
    right: 0;
    z-index: -1;
}

.services .services-content .image img{
    width: 260px;
    height: 350px;
}

@media(max-width: 1199px){
    .image-column{
        display: none;
    }
}

 /* end services */

 /* start portfolio */

.portfolio{
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    background-color: var(--section-background);
}

.portfolio .portfolio-content{
    display: grid;
    grid-template-columns: repeat(auto-fill , minmax(300px , 1fr));
    gap: 30px;
    margin-top: 80px;
}

.portfolio .portfolio-content .card{
    background-color: white;
}

.portfolio .portfolio-content .card img{
    width: 100%;
    height: 50%;
}

.portfolio .portfolio-content .card .info{
    padding: 20px;
}

.portfolio .portfolio-content .card .info h3{
    margin: 0px;
}

.portfolio .portfolio-content .card .info p{
    color: #777;
    line-height: 1.6;
    margin-bottom: 0px;
}

 /* end portfolio */

 /* start about */

.about{
    padding-top: var(--section-padding);
    padding-bottom: calc(var(--section-padding) + 60px);
}

.about .about-content{
    margin-top: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

@media (max-width: 991px){
    .about .about-content{
        flex-direction: column;
        text-align: center;
    }
}

.about .about-content .image{
    position: relative;
    width: 250px;
    height: 375px;
}

.about .about-content .image img{
    height: 100%;
}

@media (max-width: 991px){
    .about .about-content .image{
        margin: 0 auto 60px ;
    }
}

.about .about-content .image::before{
    content: "";
    position: absolute;
    background-color: #ebeced;
    width: 100px;
    height: calc(100% + 80px);
    top: -40px;
    left: -20px;
    z-index: -1;
}

.about .about-content .image::after{
    content: "";
    position: absolute;
    border-left: 80px solid var(--main-color);
    border-bottom: 80px solid var(--main-color);
    width: 120px;
    height: 300px;
    top: -40px;
    right: -150px;
    z-index: -1;
}

@media (max-width: 991px){
    .about .about-content .image::before ,
    .about .about-content .image::after{
        display: none;
    }
}

.about .about-content .image img{
    max-width: 100%;
}

.about .about-content .text{
    flex-basis: calc(100% - 500px);
}

.about .about-content .text p:first-of-type{
    font-weight: bold;
    line-height: 2;
    margin-bottom: 50px;
}

.about .about-content .text hr{
    width: 50%;
    display: inline-block;
    border-color: var(--main-color);
}

.about .about-content .text p:last-of-type{
    line-height: 2;
    color: #777;
}

 /* end about */

 /* start contact */

.contact{
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    background-color: var(--section-background);
}

.contact .info{
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    text-align: center;
}

.contact .info .label{
    font-size: 30px;
    font-weight: 800;
    color: var(--secondry-color);
    letter-spacing: -2px;
    margin-bottom: 15px;
}

.contact .info .link{
    display: block;
    font-size: 30px;
    font-weight: 800;
    color: var(--main-color);
    text-decoration: none;
}

.contact .info .social{
    display: flex;
    justify-content: center;
    margin-top: 20px;
    font-size: 16px;
}

.contact .info .social i{
    margin-left: 10px;
    color: var(--secondry-color);
}

@media(max-width: 767px){
    .contact .info .label,
    .contact .info .link{
        font-size: 25px;
    }
}
 
 /* end contat */

 /* start footer */

.footer{
    background-color: var(--secondry-color);
    color: white;
    padding: 30px 10px;
    text-align: center;
    font-size: 18px;
}

.footer span{
    font-weight: bold;
    color: var(--main-color);
}

 /* end footer */